> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nrai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sample Data



## OpenAPI

````yaml GET /v1/sample-data
openapi: 3.0.3
info:
  title: NRAI Documentation
  version: 0.0.0
servers:
  - url: https://cloud.nrai.io/api
    description: Production Server
security: []
externalDocs:
  url: https://nrai.io/docs
  description: Find more info here
paths:
  /v1/sample-data:
    get:
      tags:
        - sample-data
      parameters:
        - schema:
            type: string
          in: query
          name: flowId
          required: true
        - schema:
            type: string
          in: query
          name: flowVersionId
          required: true
        - schema:
            type: string
          in: query
          name: stepName
          required: true
        - schema:
            type: string
          in: query
          name: projectId
          required: true
        - schema:
            anyOf:
              - type: string
                enum:
                  - INPUT
              - type: string
                enum:
                  - OUTPUT
          in: query
          name: type
          required: true
      responses:
        '200':
          description: Default Response
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````